Transfer an ERC20 token

How to transfer an ERC20 token from wallet to another.

Request Endpoint: reference

POST /api/transactions/execute
ParameterParam TypeValueDescriptionExample Value
Signing-MethodHeaderid:valueid: This is the ID of the signing method
value: This is the value of the signing method
756ae7a7-3713-43ee-9936-0dff50306488:123456
ParameterParam TypeDescriptionData TypeMandatory
transactionRequestBodyThis object includes the transaction informationObject✅
transactionRequest.typeBodyThis will be TOKEN_TRANSFERString✅
transactionRequest.walletIdBodyThe id of the wallet that will initiate the txString✅
transactionRequest.toBodyDestination Address (can be a blockchain address or email address)String✅
transactionRequest.secretTypeBodyOn which blockchain the tx will be executedString✅
transactionRequest.tokenAddressBodyThe address of the ERC20 tokenString✅
transactionRequest.valueBodyThe amount you want to transferInteger✅
pincode (Deprecated)BodyPIN related to the wallet IDString❌

Request Body

{  
    "transactionRequest": {  
        "type": "TOKEN_TRANSFER",
        "walletId": "c4c97f87-8e00-4f3a-8647-2f24ac9b73cb",
        "to": "0x2D24b9DE4F963d1Cfac1a65b6F1a85945d3e92F5",
        "secretType": "MATIC",   
        "tokenAddress": "0xe11a86849d99f524cac3e7a0ec1241828e332c62",
        "value": "1"
    }  
}

Response Body

{
    "success": true,
    "result": {
        "id": "994c43ab-c2bf-41d2-a230-73027b4131bc",
        "transactionHash": "0xc57dd7ec9cf40c9c61abcde7942840d81b66477a911f867c74ed85278195a550"
    }
}

Did this page help you?